PromptEntryBase::GroupAttributes Class Reference

## Public Member Functions

| GroupAttributes (const GroupAttributes &existingGroupAttr)
GroupAttributes & | operator= (const GroupAttributes &existingGroupAttr)

## Public Attributes

bool | CredRequired
bool | UsesSDIAuth
bool | UsernameEditable
tstring | Username
bool | SecondaryUsernameEditable
tstring | SecondaryUsername
bool | UsesSecondaryAuth

## Constructor & Destructor Documentation

## GroupAttributes() [1/2]

PromptEntryBase::GroupAttributes::GroupAttributes | ( |  | ) |

inline

:
CredRequired(true),
UsesSDIAuth(false),
UsernameEditable(true),
SecondaryUsernameEditable(true),
UsesSecondaryAuth(false)
{
}

## GroupAttributes() [2/2]

PromptEntryBase::GroupAttributes::GroupAttributes | ( | const GroupAttributes & | existingGroupAttr | ) |

inline explicit

{
deepCopy(existingGroupAttr);
}

## Member Function Documentation

## operator=()

GroupAttributes & PromptEntryBase::GroupAttributes::operator= | ( | const GroupAttributes & | existingGroupAttr | ) |

inline

{
return deepCopy(existingGroupAttr);
}